use lib::{client::Client, message::{Message, MessageKind}, message_read::MessageReader, player::Player};
use crossterm::{
    execute,
    terminal::{
        Clear,
        ClearType,
        enable_raw_mode,
        disable_raw_mode
    },
    event::Event,
};
use http_body_util::Empty;
use hyper::{client::conn::{self, http1::{self, handshake}}, Request};
use hyper::body::Bytes;
use hyper_util::rt::TokioIo;
use tokio::net::TcpStream;

#[allow(unreachable_code)]
#[tokio::main]
pub async fn main() -> anyhow::Result<()> {
    // let mut client = Client::connect("127.0.0.1", 8080).await?;
    // let local_address = client.stream.local_addr()?;

    // enable_raw_mode()?;
    // execute!(
    //     std::io::stdout(),
    //     Clear(ClearType::All),
    // )?;

    let addr = "http://127.0.0.1:8080";

    let client = reqwest::Client::new();

    let response = client
        .post([&addr, "/create/player"].concat())
        .body(Player::new()?.encode()?)
        .send().await?
        .text().await?;
    
    println!("{}", response);

    Ok(())
}
